<?php
/*

Plugin Name: MEMBERLUX UPDATER
Plugin URI: http://memberlux.ru
Description: ОБНОВЛЕНИЕ ПЛАГИНОВ
Version: 1.2
Author: Виктор Левчук
Author URI: https://t.me/leviktor

*/

if (!defined('ABSPATH')) {
    exit;
}
define('MBL_NEW_GITHUB_TOKEN', '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');

function mbl_updater_replace()
{
    $plugin_list = [
        'mbl-auto',
        'mbl-autocheck',
        'mbl-autoregistration',
        'mbl-catalog',
        'mbl-certificates',
        'mbl-connector',
        'mbl-discounts',
        'mbl-mini-interface',
        'mbl-navpanel',
        'mbl-payments',
        'mbl-protection',
        'mbl-subscriptions',
        'mbl-tests',
        'mbl-universal-access',
        'mbl-users-export',
        'member-luxe',
        'memberbot',
        'mbl-auto-responder',
        'mbl-notifications',
    ];
    foreach ($plugin_list as $plugin) {
        if ($plugin === 'memberbot') {
            $plugin_file = plugin_dir_path(__DIR__) . "$plugin/memberlux_bot.php";
        } else {
            $plugin_file = plugin_dir_path(__DIR__) . "$plugin/$plugin.php";
        }
        if (!file_exists($plugin_file)) {
            continue;
        }
        if ($plugin === 'mbl-auto-responder') {
            $content = file_get_contents($plugin_file);
            $r = preg_replace(
                "#https://github.com/MEMBERLUX/mbl-auto-responder\.git#",
                "https://github.com/MEMBERLUX/mbl-auto-responder/",
                $content
            );
            file_put_contents($plugin_file, $r);
        }
        $content = file_get_contents( $plugin_file );
        $r       = preg_replace(
            "#myUpdateChecker->setAuthentication\('[^']+'\)#",
            "myUpdateChecker->setAuthentication('" . MBL_NEW_GITHUB_TOKEN . "')",
            $content );
        file_put_contents($plugin_file, $r);
    }
}

function mbl_updater_activate()
{
    mbl_updater_replace();
}

require_once(ABSPATH . 'wp-admin/includes/plugin.php');
if (is_plugin_active('mbl-updater/mbl-updater.php')) {
    add_action('admin_notices', 'mbl_updater_notice');
}
function mbl_updater_notice()
{
    $message = "Изменения внесены. Теперь вы можете деактивировать и удалить плагин MEMBERLUX UPDATER";
    echo '<div class="notice notice-success is-dismissible"> <p>' . $message . '</p></div>';
}

register_activation_hook(__FILE__, 'mbl_updater_activate');
